| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Private Member Functions | Static Private Member Functions | Private Attributes | List of all members
visBase::Transformation Class Reference
visBase

The Transformation is an object that transforms everything following the node. More...

`#include <vistransform.h>`

Inheritance diagram for visBase::Transformation:
[legend]

## Public Member Functions
const char * | getClassName () const override
void | getRotation (Coord3 &vec, double &angle) const
Coord3 | getScale () const
const osg::MatrixTransform * | getTransformNode () const
Coord3 | getTranslation () const
Transformation & | operator*= (const Transformation &)
void | reset ()
void | setA (double a11, double a12, double a13, double a14, double a21, double a22, double a23, double a24, double a31, double a32, double a33, double a34, double a41, double a42, double a43, double a44)
void | setAbsoluteReferenceFrame ()
void | setMatrix (const Coord3 &trans, const Coord3 &rotvec, double rotangle, const Coord3 &scale)
void | setRotation (const Coord3 &vec, double angle)
void | setScale (const Coord3 &)
void | setScaleOrientation (const Coord3 &vec, double angle)
void | setTranslation (const Coord3 &)
void | transform (const Coord3 &, osg::Vec3d &) const
void | transform (const Coord3 &, osg::Vec3f &) const
void | transform (const Coord3 &f, Coord3 &t) const
void | transform (const osg::Vec3d &, Coord3 &) const
void | transform (const osg::Vec3d &f, osg::Vec3d &t) const
void | transform (const osg::Vec3f &, Coord3 &) const
void | transform (const osg::Vec3f &f, osg::Vec3f &t) const
void | transform (Coord3 &) const
void | transform (osg::Vec3d &) const
void | transform (osg::Vec3f &) const
void | transformBack (const Coord3 &, osg::Vec3d &) const
void | transformBack (const Coord3 &, osg::Vec3f &) const
void | transformBack (const Coord3 &f, Coord3 &t) const
void | transformBack (const osg::Vec3d &, Coord3 &) const
void | transformBack (const osg::Vec3d &f, osg::Vec3d &t) const
void | transformBack (const osg::Vec3f &, Coord3 &) const
void | transformBack (const osg::Vec3f &f, osg::Vec3f &t) const
void | transformBack (Coord3 &) const
void | transformBack (osg::Vec3d &) const
void | transformBack (osg::Vec3f &) const
void | transformBackDir (const Coord3 &, osg::Vec3d &) const
void | transformBackDir (const Coord3 &, osg::Vec3f &) const
void | transformBackDir (const Coord3 &f, Coord3 &t) const
void | transformBackDir (const osg::Vec3d &, Coord3 &) const
void | transformBackDir (const osg::Vec3d &f, osg::Vec3d &t) const
void | transformBackDir (const osg::Vec3f &, Coord3 &) const
void | transformBackDir (const osg::Vec3f &f, osg::Vec3f &t) const
void | transformBackDir (Coord3 &) const
void | transformBackDir (osg::Vec3d &) const
void | transformBackDir (osg::Vec3f &) const
void | transformBackNormal (const Coord3 &, osg::Vec3d &) const
void | transformBackNormal (const Coord3 &, osg::Vec3f &) const
void | transformBackNormal (const Coord3 &f, Coord3 &t) const
void | transformBackNormal (const osg::Vec3d &, Coord3 &) const
void | transformBackNormal (const osg::Vec3d &f, osg::Vec3d &t) const
void | transformBackNormal (const osg::Vec3f &, Coord3 &) const
void | transformBackNormal (const osg::Vec3f &f, osg::Vec3f &t) const
void | transformBackNormal (Coord3 &) const
void | transformBackNormal (osg::Vec3d &) const
void | transformBackNormal (osg::Vec3f &) const
void | transformBackSize (const Coord3 &, osg::Vec3d &) const
void | transformBackSize (const Coord3 &, osg::Vec3f &) const
void | transformBackSize (const Coord3 &f, Coord3 &t) const
void | transformBackSize (const osg::Vec3d &, Coord3 &) const
void | transformBackSize (const osg::Vec3d &f, osg::Vec3d &t) const
void | transformBackSize (const osg::Vec3f &, Coord3 &) const
void | transformBackSize (const osg::Vec3f &f, osg::Vec3f &t) const
void | transformBackSize (Coord3 &) const
void | transformBackSize (osg::Vec3d &) const
void | transformBackSize (osg::Vec3f &) const
void | transformDir (const Coord3 &, osg::Vec3d &) const
void | transformDir (const Coord3 &, osg::Vec3f &) const
void | transformDir (const Coord3 &f, Coord3 &t) const
void | transformDir (const osg::Vec3d &, Coord3 &) const
void | transformDir (const osg::Vec3d &f, osg::Vec3d &t) const
void | transformDir (const osg::Vec3f &, Coord3 &) const
void | transformDir (const osg::Vec3f &f, osg::Vec3f &t) const
void | transformDir (Coord3 &) const
void | transformDir (osg::Vec3d &) const
void | transformDir (osg::Vec3f &) const
void | transformNormal (const Coord3 &, osg::Vec3d &) const
void | transformNormal (const Coord3 &, osg::Vec3f &) const
void | transformNormal (const Coord3 &f, Coord3 &t) const
void | transformNormal (const osg::Vec3d &, Coord3 &) const
void | transformNormal (const osg::Vec3d &f, osg::Vec3d &t) const
void | transformNormal (const osg::Vec3f &, Coord3 &) const
void | transformNormal (const osg::Vec3f &f, osg::Vec3f &t) const
void | transformNormal (Coord3 &) const
void | transformNormal (osg::Vec3d &) const
void | transformNormal (osg::Vec3f &) const
void | transformSize (const Coord3 &, osg::Vec3d &) const
void | transformSize (const Coord3 &, osg::Vec3f &) const
void | transformSize (const Coord3 &f, Coord3 &t) const
void | transformSize (const osg::Vec3d &, Coord3 &) const
void | transformSize (const osg::Vec3d &f, osg::Vec3d &t) const
void | transformSize (const osg::Vec3f &, Coord3 &) const
void | transformSize (const osg::Vec3f &f, osg::Vec3f &t) const
void | transformSize (Coord3 &) const
void | transformSize (osg::Vec3d &) const
void | transformSize (osg::Vec3f &) const
Public Member Functions inherited from visBase::DataObjectGroup
void | addObject (const VisID &)
virtual void | addObject (DataObject *)
const visBase::Transformation * | getDisplayTransformation () const override
virtual int | getFirstIdx (const DataObject *) const
virtual int | getFirstIdx (const VisID &) const
virtual DataObject * | getObject (int idx)
const DataObject * | getObject (int idx) const
float | getPixelDensity () const override
virtual void | insertObject (int idx, DataObject *)
bool | isRightHandSystem () const override
virtual void | removeAll ()
virtual void | removeObject (int idx)
void | setDisplayTransformation (const visBase::Transformation *) override
void | setPixelDensity (float dpi) override
void | setRightHandSystem (bool) override
void | setSeparate (bool yn=true)
virtual int | size () const
Public Member Functions inherited from visBase::DataObject
template<class T >
T * | addNodeState (T *ns)
void | deSelect () const
virtual NotifierAccess * | deSelection ()
void | enableTraversal (unsigned int mask, bool yn=true)
virtual const char * | errMsg () const
SoNode * | getInventorNode ()
const SoNode * | getInventorNode () const
BufferString | getName () const override
NodeState * | getNodeState (int idx)
VisID | id () const
virtual bool | isOK () const
virtual bool | isOn () const
bool | isPickable (bool actively=true) const
virtual bool | isSelected () const
bool | isTraversalEnabled (unsigned int mask) const
const OD::String & | name () const override
osg::Node * | osgNode (bool skipswitch=false)
const osg::Node * | osgNode (bool skipswitch=false) const
NodeState * | removeNodeState (NodeState *)
virtual bool | rightClickable () const
virtual NotifierAccess * | rightClicked ()
virtual const TypeSet< VisID > * | rightClickedPath () const
void | select () const
virtual bool | selectable () const
virtual NotifierAccess * | selection ()
bool | serialize (const char *filename, bool binary=false)
void | setID (const VisID &)
void | setName (const char *) override
void | setName (const uiString &uistr)
void | setPickable (bool actively, bool passively=true)
void | setUiName (const uiString &)
virtual bool | turnOn (bool yn)
uiString | uiName () const
void | updateSel () const
Public Member Functions inherited from SharedObject
| SharedObject (const char *nm=nullptr)
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Static Public Member Functions
static RefMan< Transformation > | create ()
static const char * | getStaticClassName ()
static void | initClass ()
static const char * | sFactoryKeyword ()
static void | transform (const Transformation *tr, const Coord3 &f, Coord3 &t)
static void | transform (const Transformation *tr, const Coord3 &f, osg::Vec3d &t)
static void | transform (const Transformation *tr, const Coord3 &f, osg::Vec3f &t)
static void | transform (const Transformation *tr, const osg::Vec3d &f, Coord3 &t)
static void | transform (const Transformation *tr, const osg::Vec3d &f, osg::Vec3d &t)
static void | transform (const Transformation *tr, const osg::Vec3f &f, Coord3 &t)
static void | transform (const Transformation *tr, const osg::Vec3f &f, osg::Vec3f &t)
static void | transform (const Transformation *tr, Coord3 &v)
static void | transform (const Transformation *tr, osg::Vec3d &v)
static void | transform (const Transformation *tr, osg::Vec3f &v)
static void | transformBack (const Transformation *tr, const Coord3 &f, Coord3 &t)
static void | transformBack (const Transformation *tr, const Coord3 &f, osg::Vec3d &t)
static void | transformBack (const Transformation *tr, const Coord3 &f, osg::Vec3f &t)
static void | transformBack (const Transformation *tr, const osg::Vec3d &f, Coord3 &t)
static void | transformBack (const Transformation *tr, const osg::Vec3d &f, osg::Vec3d &t)
static void | transformBack (const Transformation *tr, const osg::Vec3f &f, Coord3 &t)
static void | transformBack (const Transformation *tr, const osg::Vec3f &f, osg::Vec3f &t)
static void | transformBack (const Transformation *tr, Coord3 &v)
static void | transformBack (const Transformation *tr, osg::Vec3d &v)
static void | transformBack (const Transformation *tr, osg::Vec3f &v)
static void | transformBackDir (const Transformation *tr, const Coord3 &f, Coord3 &t)
static void | transformBackDir (const Transformation *tr, const Coord3 &f, osg::Vec3d &t)
static void | transformBackDir (const Transformation *tr, const Coord3 &f, osg::Vec3f &t)
static void | transformBackDir (const Transformation *tr, const osg::Vec3d &f, Coord3 &t)
static void | transformBackDir (const Transformation *tr, const osg::Vec3d &f, osg::Vec3d &t)
static void | transformBackDir (const Transformation *tr, const osg::Vec3f &f, Coord3 &t)
static void | transformBackDir (const Transformation *tr, const osg::Vec3f &f, osg::Vec3f &t)
static void | transformBackDir (const Transformation *tr, Coord3 &v)
static void | transformBackDir (const Transformation *tr, osg::Vec3d &v)
static void | transformBackDir (const Transformation *tr, osg::Vec3f &v)
static void | transformBackNormal (const Transformation *tr, const Coord3 &f, Coord3 &t)
static void | transformBackNormal (const Transformation *tr, const Coord3 &f, osg::Vec3d &t)
static void | transformBackNormal (const Transformation *tr, const Coord3 &f, osg::Vec3f &t)
static void | transformBackNormal (const Transformation *tr, const osg::Vec3d &f, Coord3 &t)
static void | transformBackNormal (const Transformation *tr, const osg::Vec3d &f, osg::Vec3d &t)
static void | transformBackNormal (const Transformation *tr, const osg::Vec3f &f, Coord3 &t)
static void | transformBackNormal (const Transformation *tr, const osg::Vec3f &f, osg::Vec3f &t)
static void | transformBackNormal (const Transformation *tr, Coord3 &v)
static void | transformBackNormal (const Transformation *tr, osg::Vec3d &v)
static void | transformBackNormal (const Transformation *tr, osg::Vec3f &v)
static void | transformBackSize (const Transformation *tr, const Coord3 &f, Coord3 &t)
static void | transformBackSize (const Transformation *tr, const Coord3 &f, osg::Vec3d &t)
static void | transformBackSize (const Transformation *tr, const Coord3 &f, osg::Vec3f &t)
static void | transformBackSize (const Transformation *tr, const osg::Vec3d &f, Coord3 &t)
static void | transformBackSize (const Transformation *tr, const osg::Vec3d &f, osg::Vec3d &t)
static void | transformBackSize (const Transformation *tr, const osg::Vec3f &f, Coord3 &t)
static void | transformBackSize (const Transformation *tr, const osg::Vec3f &f, osg::Vec3f &t)
static void | transformBackSize (const Transformation *tr, Coord3 &v)
static void | transformBackSize (const Transformation *tr, osg::Vec3d &v)
static void | transformBackSize (const Transformation *tr, osg::Vec3f &v)
static void | transformDir (const Transformation *tr, const Coord3 &f, Coord3 &t)
static void | transformDir (const Transformation *tr, const Coord3 &f, osg::Vec3d &t)
static void | transformDir (const Transformation *tr, const Coord3 &f, osg::Vec3f &t)
static void | transformDir (const Transformation *tr, const osg::Vec3d &f, Coord3 &t)
static void | transformDir (const Transformation *tr, const osg::Vec3d &f, osg::Vec3d &t)
static void | transformDir (const Transformation *tr, const osg::Vec3f &f, Coord3 &t)
static void | transformDir (const Transformation *tr, const osg::Vec3f &f, osg::Vec3f &t)
static void | transformDir (const Transformation *tr, Coord3 &v)
static void | transformDir (const Transformation *tr, osg::Vec3d &v)
static void | transformDir (const Transformation *tr, osg::Vec3f &v)
static void | transformNormal (const Transformation *tr, const Coord3 &f, Coord3 &t)
static void | transformNormal (const Transformation *tr, const Coord3 &f, osg::Vec3d &t)
static void | transformNormal (const Transformation *tr, const Coord3 &f, osg::Vec3f &t)
static void | transformNormal (const Transformation *tr, const osg::Vec3d &f, Coord3 &t)
static void | transformNormal (const Transformation *tr, const osg::Vec3d &f, osg::Vec3d &t)
static void | transformNormal (const Transformation *tr, const osg::Vec3f &f, Coord3 &t)
static void | transformNormal (const Transformation *tr, const osg::Vec3f &f, osg::Vec3f &t)
static void | transformNormal (const Transformation *tr, Coord3 &v)
static void | transformNormal (const Transformation *tr, osg::Vec3d &v)
static void | transformNormal (const Transformation *tr, osg::Vec3f &v)
static void | transformSize (const Transformation *tr, const Coord3 &f, Coord3 &t)
static void | transformSize (const Transformation *tr, const Coord3 &f, osg::Vec3d &t)
static void | transformSize (const Transformation *tr, const Coord3 &f, osg::Vec3f &t)
static void | transformSize (const Transformation *tr, const osg::Vec3d &f, Coord3 &t)
static void | transformSize (const Transformation *tr, const osg::Vec3d &f, osg::Vec3d &t)
static void | transformSize (const Transformation *tr, const osg::Vec3f &f, Coord3 &t)
static void | transformSize (const Transformation *tr, const osg::Vec3f &f, osg::Vec3f &t)
static void | transformSize (const Transformation *tr, Coord3 &v)
static void | transformSize (const Transformation *tr, osg::Vec3d &v)
static void | transformSize (const Transformation *tr, osg::Vec3f &v)
Static Public Member Functions inherited from visBase::DataObjectGroup
static RefMan< DataObjectGroup > | create ()
static const char * | getStaticClassName ()
static void | initClass ()
static const char * | sFactoryKeyword ()
Static Public Member Functions inherited from visBase::DataObject
static osgViewer::CompositeViewer * | getCommonViewer ()
static float | getDefaultPixelDensity ()
static VisID | getID (const osg::Node *)
static bool | isVisualizationThread ()
static void | requestSingleRedraw ()
static void | setCommonViewer (osgViewer::CompositeViewer *)
static void | setDefaultPixelDensity (float)
static void | setVisualizationThread (const void *)
| Call only once from initialization.
Static Public Member Functions inherited from SharedObject
static Notifier< SharedObject > & | instanceCreated ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)

## Private Member Functions
| Transformation ()
| ~Transformation ()
| mOD_DisableCopy (Transformation)
void | updateMatrix ()
void | updateNormalizationMode ()

## Static Private Member Functions
static visBase::DataObject * | createInternal ()

## Private Attributes
osg::Quat & | currot_
osg::Vec3d & | curscale_
osg::Quat & | curso_
osg::Vec3d & | curtrans_
osg::MatrixTransform * | node_ = nullptr

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Public Attributes inherited from visBase::DataObjectGroup
Notifier< DataObjectGroup > | change
Protected Member Functions inherited from visBase::DataObjectGroup
| DataObjectGroup (bool)
| ~DataObjectGroup ()
Protected Member Functions inherited from visBase::DataObject
| DataObject ()
| ~DataObject ()
void | doAddNodeState (NodeState *)
virtual osg::StateSet * | getStateSet ()
template<class T >
T * | setOsgNode (T *t)
| Must be called during construction.
virtual void | triggerDeSel ()
virtual void | triggerRightClick (const EventInfo *=nullptr)
virtual void | triggerSel ()
void | updateNodemask ()
Protected Member Functions inherited from SharedObject
| ~SharedObject ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)
Protected Attributes inherited from visBase::DataObjectGroup
osg::Group * | osggroup_
float | pixeldensity_
bool | righthandsystem_ = true
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Detailed Description

The Transformation is an object that transforms everything following the node.

The transformation is denoted:

Aq=b

Where A is the transformation matrix, q is a column vector with { x, y, z, 1 } and b is the transformed column vector { x'', y'', z'', m }. The output coords can be calculated by:

x' = x''/m; y' = y''/m; z'=z''/m;

<>

## Constructor & Destructor Documentation

## ◆ Transformation()

visBase::Transformation::Transformation | ( |  | ) |
| private

## ◆ ~Transformation()

visBase::Transformation::~Transformation | ( |  | ) |
| private

## Member Function Documentation

## ◆ create()

static RefMan< Transformation > visBase::Transformation::create | ( |  | ) |
| static

## ◆ createInternal()

static visBase::DataObject * visBase::Transformation::createInternal | ( |  | ) |
| inline static private

## ◆ getClassName()

const char * visBase::Transformation::getClassName | ( |  | ) | const
| override virtual

Reimplemented from visBase::DataObjectGroup.

## ◆ getRotation()

void visBase::Transformation::getRotation | ( | Coord3 & | vec,
|  | double & | angle ) const

## ◆ getScale()

Coord3 visBase::Transformation::getScale | ( |  | ) | const

## ◆ getStaticClassName()

static const char * visBase::Transformation::getStaticClassName | ( |  | ) |
| static

## ◆ getTransformNode()

const osg::MatrixTransform * visBase::Transformation::getTransformNode | ( |  | ) | const
| inline

## ◆ getTranslation()

Coord3 visBase::Transformation::getTranslation | ( |  | ) | const

## ◆ initClass()

static void visBase::Transformation::initClass | ( |  | ) |
| static

## ◆ mOD_DisableCopy()

visBase::Transformation::mOD_DisableCopy | ( | Transformation |  | ) |
| private

## ◆ operator*=()

Transformation & visBase::Transformation::operator*= | ( | const Transformation & |  | ) |

## ◆ reset()

void visBase::Transformation::reset | ( |  | ) |

## ◆ setA()

void visBase::Transformation::setA | ( | double | a11,
|  | double | a12,
|  | double | a13,
|  | double | a14,
|  | double | a21,
|  | double | a22,
|  | double | a23,
|  | double | a24,
|  | double | a31,
|  | double | a32,
|  | double | a33,
|  | double | a34,
|  | double | a41,
|  | double | a42,
|  | double | a43,
|  | double | a44 )

## ◆ setAbsoluteReferenceFrame()

void visBase::Transformation::setAbsoluteReferenceFrame | ( |  | ) |

## ◆ setMatrix()

void visBase::Transformation::setMatrix | ( | const Coord3 & | trans,
|  | const Coord3 & | rotvec,
|  | double | rotangle,
|  | const Coord3 & | scale )

## ◆ setRotation()

void visBase::Transformation::setRotation | ( | const Coord3 & | vec,
|  | double | angle )

## ◆ setScale()

void visBase::Transformation::setScale | ( | const Coord3 & |  | ) |

## ◆ setScaleOrientation()

void visBase::Transformation::setScaleOrientation | ( | const Coord3 & | vec,
|  | double | angle )

## ◆ setTranslation()

void visBase::Transformation::setTranslation | ( | const Coord3 & |  | ) |

## ◆ sFactoryKeyword()

static const char * visBase::Transformation::sFactoryKeyword | ( |  | ) |
| static

## ◆ transform() [1/20]

void visBase::Transformation::transform | ( | const Coord3 & | ,
|  | osg::Vec3d & | ) const

## ◆ transform() [2/20]

void visBase::Transformation::transform | ( | const Coord3 & | ,
|  | osg::Vec3f & | ) const

## ◆ transform() [3/20]

void visBase::Transformation::transform | ( | const Coord3 & | f,
|  | Coord3 & | t ) const

## ◆ transform() [4/20]

void visBase::Transformation::transform | ( | const osg::Vec3d & | ,
|  | Coord3 & | ) const

## ◆ transform() [5/20]

void visBase::Transformation::transform | ( | const osg::Vec3d & | f,
|  | osg::Vec3d & | t ) const

## ◆ transform() [6/20]

void visBase::Transformation::transform | ( | const osg::Vec3f & | ,
|  | Coord3 & | ) const

## ◆ transform() [7/20]

void visBase::Transformation::transform | ( | const osg::Vec3f & | f,
|  | osg::Vec3f & | t ) const

## ◆ transform() [8/20]

static void visBase::Transformation::transform | ( | const Transformation * | tr,
|  | const Coord3 & | f,
|  | Coord3 & | t )
| static

## ◆ transform() [9/20]

static void visBase::Transformation::transform | ( | const Transformation * | tr,
|  | const Coord3 & | f,
|  | osg::Vec3d & | t )
| static

## ◆ transform() [10/20]

static void visBase::Transformation::transform | ( | const Transformation * | tr,
|  | const Coord3 & | f,
|  | osg::Vec3f & | t )
| static

## ◆ transform() [11/20]

static void visBase::Transformation::transform | ( | const Transformation * | tr,
|  | const osg::Vec3d & | f,
|  | Coord3 & | t )
| static

## ◆ transform() [12/20]

static void visBase::Transformation::transform | ( | const Transformation * | tr,
|  | const osg::Vec3d & | f,
|  | osg::Vec3d & | t )
| static

## ◆ transform() [13/20]

static void visBase::Transformation::transform | ( | const Transformation * | tr,
|  | const osg::Vec3f & | f,
|  | Coord3 & | t )
| static

## ◆ transform() [14/20]

static void visBase::Transformation::transform | ( | const Transformation * | tr,
|  | const osg::Vec3f & | f,
|  | osg::Vec3f & | t )
| static

## ◆ transform() [15/20]

static void visBase::Transformation::transform | ( | const Transformation * | tr,
|  | Coord3 & | v )
| inline static

## ◆ transform() [16/20]

static void visBase::Transformation::transform | ( | const Transformation * | tr,
|  | osg::Vec3d & | v )
| inline static

## ◆ transform() [17/20]

static void visBase::Transformation::transform | ( | const Transformation * | tr,
|  | osg::Vec3f & | v )
| inline static

## ◆ transform() [18/20]

void visBase::Transformation::transform | ( | Coord3 & |  | ) | const

## ◆ transform() [19/20]

void visBase::Transformation::transform | ( | osg::Vec3d & |  | ) | const

## ◆ transform() [20/20]

void visBase::Transformation::transform | ( | osg::Vec3f & |  | ) | const

## ◆ transformBack() [1/20]

void visBase::Transformation::transformBack | ( | const Coord3 & | ,
|  | osg::Vec3d & | ) const

## ◆ transformBack() [2/20]

void visBase::Transformation::transformBack | ( | const Coord3 & | ,
|  | osg::Vec3f & | ) const

## ◆ transformBack() [3/20]

void visBase::Transformation::transformBack | ( | const Coord3 & | f,
|  | Coord3 & | t ) const

## ◆ transformBack() [4/20]

void visBase::Transformation::transformBack | ( | const osg::Vec3d & | ,
|  | Coord3 & | ) const

## ◆ transformBack() [5/20]

void visBase::Transformation::transformBack | ( | const osg::Vec3d & | f,
|  | osg::Vec3d & | t ) const

## ◆ transformBack() [6/20]

void visBase::Transformation::transformBack | ( | const osg::Vec3f & | ,
|  | Coord3 & | ) const

## ◆ transformBack() [7/20]

void visBase::Transformation::transformBack | ( | const osg::Vec3f & | f,
|  | osg::Vec3f & | t ) const

## ◆ transformBack() [8/20]

static void visBase::Transformation::transformBack | ( | const Transformation * | tr,
|  | const Coord3 & | f,
|  | Coord3 & | t )
| static

## ◆ transformBack() [9/20]

static void visBase::Transformation::transformBack | ( | const Transformation * | tr,
|  | const Coord3 & | f,
|  | osg::Vec3d & | t )
| static

## ◆ transformBack() [10/20]

static void visBase::Transformation::transformBack | ( | const Transformation * | tr,
|  | const Coord3 & | f,
|  | osg::Vec3f & | t )
| static

## ◆ transformBack() [11/20]

static void visBase::Transformation::transformBack | ( | const Transformation * | tr,
|  | const osg::Vec3d & | f,
|  | Coord3 & | t )
| static

## ◆ transformBack() [12/20]

static void visBase::Transformation::transformBack | ( | const Transformation * | tr,
|  | const osg::Vec3d & | f,
|  | osg::Vec3d & | t )
| static

## ◆ transformBack() [13/20]

static void visBase::Transformation::transformBack | ( | const Transformation * | tr,
|  | const osg::Vec3f & | f,
|  | Coord3 & | t )
| static

## ◆ transformBack() [14/20]

static void visBase::Transformation::transformBack | ( | const Transformation * | tr,
|  | const osg::Vec3f & | f,
|  | osg::Vec3f & | t )
| static

## ◆ transformBack() [15/20]

static void visBase::Transformation::transformBack | ( | const Transformation * | tr,
|  | Coord3 & | v )
| inline static

## ◆ transformBack() [16/20]

static void visBase::Transformation::transformBack | ( | const Transformation * | tr,
|  | osg::Vec3d & | v )
| inline static

## ◆ transformBack() [17/20]

static void visBase::Transformation::transformBack | ( | const Transformation * | tr,
|  | osg::Vec3f & | v )
| inline static

## ◆ transformBack() [18/20]

void visBase::Transformation::transformBack | ( | Coord3 & |  | ) | const

## ◆ transformBack() [19/20]

void visBase::Transformation::transformBack | ( | osg::Vec3d & |  | ) | const

## ◆ transformBack() [20/20]

void visBase::Transformation::transformBack | ( | osg::Vec3f & |  | ) | const

## ◆ transformBackDir() [1/20]

void visBase::Transformation::transformBackDir | ( | const Coord3 & | ,
|  | osg::Vec3d & | ) const

## ◆ transformBackDir() [2/20]

void visBase::Transformation::transformBackDir | ( | const Coord3 & | ,
|  | osg::Vec3f & | ) const

## ◆ transformBackDir() [3/20]

void visBase::Transformation::transformBackDir | ( | const Coord3 & | f,
|  | Coord3 & | t ) const

## ◆ transformBackDir() [4/20]

void visBase::Transformation::transformBackDir | ( | const osg::Vec3d & | ,
|  | Coord3 & | ) const

## ◆ transformBackDir() [5/20]

void visBase::Transformation::transformBackDir | ( | const osg::Vec3d & | f,
|  | osg::Vec3d & | t ) const

## ◆ transformBackDir() [6/20]

void visBase::Transformation::transformBackDir | ( | const osg::Vec3f & | ,
|  | Coord3 & | ) const

## ◆ transformBackDir() [7/20]

void visBase::Transformation::transformBackDir | ( | const osg::Vec3f & | f,
|  | osg::Vec3f & | t ) const

## ◆ transformBackDir() [8/20]

static void visBase::Transformation::transformBackDir | ( | const Transformation * | tr,
|  | const Coord3 & | f,
|  | Coord3 & | t )
| static

## ◆ transformBackDir() [9/20]

static void visBase::Transformation::transformBackDir | ( | const Transformation * | tr,
|  | const Coord3 & | f,
|  | osg::Vec3d & | t )
| static

## ◆ transformBackDir() [10/20]

static void visBase::Transformation::transformBackDir | ( | const Transformation * | tr,
|  | const Coord3 & | f,
|  | osg::Vec3f & | t )
| static

## ◆ transformBackDir() [11/20]

static void visBase::Transformation::transformBackDir | ( | const Transformation * | tr,
|  | const osg::Vec3d & | f,
|  | Coord3 & | t )
| static

## ◆ transformBackDir() [12/20]

static void visBase::Transformation::transformBackDir | ( | const Transformation * | tr,
|  | const osg::Vec3d & | f,
|  | osg::Vec3d & | t )
| static

## ◆ transformBackDir() [13/20]

static void visBase::Transformation::transformBackDir | ( | const Transformation * | tr,
|  | const osg::Vec3f & | f,
|  | Coord3 & | t )
| static

## ◆ transformBackDir() [14/20]

static void visBase::Transformation::transformBackDir | ( | const Transformation * | tr,
|  | const osg::Vec3f & | f,
|  | osg::Vec3f & | t )
| static

## ◆ transformBackDir() [15/20]

static void visBase::Transformation::transformBackDir | ( | const Transformation * | tr,
|  | Coord3 & | v )
| inline static

## ◆ transformBackDir() [16/20]

static void visBase::Transformation::transformBackDir | ( | const Transformation * | tr,
|  | osg::Vec3d & | v )
| inline static

## ◆ transformBackDir() [17/20]

static void visBase::Transformation::transformBackDir | ( | const Transformation * | tr,
|  | osg::Vec3f & | v )
| inline static

## ◆ transformBackDir() [18/20]

void visBase::Transformation::transformBackDir | ( | Coord3 & |  | ) | const

## ◆ transformBackDir() [19/20]

void visBase::Transformation::transformBackDir | ( | osg::Vec3d & |  | ) | const

## ◆ transformBackDir() [20/20]

void visBase::Transformation::transformBackDir | ( | osg::Vec3f & |  | ) | const

## ◆ transformBackNormal() [1/20]

void visBase::Transformation::transformBackNormal | ( | const Coord3 & | ,
|  | osg::Vec3d & | ) const

## ◆ transformBackNormal() [2/20]

void visBase::Transformation::transformBackNormal | ( | const Coord3 & | ,
|  | osg::Vec3f & | ) const

## ◆ transformBackNormal() [3/20]

void visBase::Transformation::transformBackNormal | ( | const Coord3 & | f,
|  | Coord3 & | t ) const

## ◆ transformBackNormal() [4/20]

void visBase::Transformation::transformBackNormal | ( | const osg::Vec3d & | ,
|  | Coord3 & | ) const

## ◆ transformBackNormal() [5/20]

void visBase::Transformation::transformBackNormal | ( | const osg::Vec3d & | f,
|  | osg::Vec3d & | t ) const

## ◆ transformBackNormal() [6/20]

void visBase::Transformation::transformBackNormal | ( | const osg::Vec3f & | ,
|  | Coord3 & | ) const

## ◆ transformBackNormal() [7/20]

void visBase::Transformation::transformBackNormal | ( | const osg::Vec3f & | f,
|  | osg::Vec3f & | t ) const

## ◆ transformBackNormal() [8/20]

static void visBase::Transformation::transformBackNormal | ( | const Transformation * | tr,
|  | const Coord3 & | f,
|  | Coord3 & | t )
| static

## ◆ transformBackNormal() [9/20]

static void visBase::Transformation::transformBackNormal | ( | const Transformation * | tr,
|  | const Coord3 & | f,
|  | osg::Vec3d & | t )
| static

## ◆ transformBackNormal() [10/20]

static void visBase::Transformation::transformBackNormal | ( | const Transformation * | tr,
|  | const Coord3 & | f,
|  | osg::Vec3f & | t )
| static

## ◆ transformBackNormal() [11/20]

static void visBase::Transformation::transformBackNormal | ( | const Transformation * | tr,
|  | const osg::Vec3d & | f,
|  | Coord3 & | t )
| static

## ◆ transformBackNormal() [12/20]

static void visBase::Transformation::transformBackNormal | ( | const Transformation * | tr,
|  | const osg::Vec3d & | f,
|  | osg::Vec3d & | t )
| static

## ◆ transformBackNormal() [13/20]

static void visBase::Transformation::transformBackNormal | ( | const Transformation * | tr,
|  | const osg::Vec3f & | f,
|  | Coord3 & | t )
| static

## ◆ transformBackNormal() [14/20]

static void visBase::Transformation::transformBackNormal | ( | const Transformation * | tr,
|  | const osg::Vec3f & | f,
|  | osg::Vec3f & | t )
| static

## ◆ transformBackNormal() [15/20]

static void visBase::Transformation::transformBackNormal | ( | const Transformation * | tr,
|  | Coord3 & | v )
| inline static

## ◆ transformBackNormal() [16/20]

static void visBase::Transformation::transformBackNormal | ( | const Transformation * | tr,
|  | osg::Vec3d & | v )
| inline static

## ◆ transformBackNormal() [17/20]

static void visBase::Transformation::transformBackNormal | ( | const Transformation * | tr,
|  | osg::Vec3f & | v )
| inline static

## ◆ transformBackNormal() [18/20]

void visBase::Transformation::transformBackNormal | ( | Coord3 & |  | ) | const

## ◆ transformBackNormal() [19/20]

void visBase::Transformation::transformBackNormal | ( | osg::Vec3d & |  | ) | const

## ◆ transformBackNormal() [20/20]

void visBase::Transformation::transformBackNormal | ( | osg::Vec3f & |  | ) | const

## ◆ transformBackSize() [1/20]

void visBase::Transformation::transformBackSize | ( | const Coord3 & | ,
|  | osg::Vec3d & | ) const

## ◆ transformBackSize() [2/20]

void visBase::Transformation::transformBackSize | ( | const Coord3 & | ,
|  | osg::Vec3f & | ) const

## ◆ transformBackSize() [3/20]

void visBase::Transformation::transformBackSize | ( | const Coord3 & | f,
|  | Coord3 & | t ) const

## ◆ transformBackSize() [4/20]

void visBase::Transformation::transformBackSize | ( | const osg::Vec3d & | ,
|  | Coord3 & | ) const

## ◆ transformBackSize() [5/20]

void visBase::Transformation::transformBackSize | ( | const osg::Vec3d & | f,
|  | osg::Vec3d & | t ) const

## ◆ transformBackSize() [6/20]

void visBase::Transformation::transformBackSize | ( | const osg::Vec3f & | ,
|  | Coord3 & | ) const

## ◆ transformBackSize() [7/20]

void visBase::Transformation::transformBackSize | ( | const osg::Vec3f & | f,
|  | osg::Vec3f & | t ) const

## ◆ transformBackSize() [8/20]

static void visBase::Transformation::transformBackSize | ( | const Transformation * | tr,
|  | const Coord3 & | f,
|  | Coord3 & | t )
| static

## ◆ transformBackSize() [9/20]

static void visBase::Transformation::transformBackSize | ( | const Transformation * | tr,
|  | const Coord3 & | f,
|  | osg::Vec3d & | t )
| static

## ◆ transformBackSize() [10/20]

static void visBase::Transformation::transformBackSize | ( | const Transformation * | tr,
|  | const Coord3 & | f,
|  | osg::Vec3f & | t )
| static

## ◆ transformBackSize() [11/20]

static void visBase::Transformation::transformBackSize | ( | const Transformation * | tr,
|  | const osg::Vec3d & | f,
|  | Coord3 & | t )
| static

## ◆ transformBackSize() [12/20]

static void visBase::Transformation::transformBackSize | ( | const Transformation * | tr,
|  | const osg::Vec3d & | f,
|  | osg::Vec3d & | t )
| static

## ◆ transformBackSize() [13/20]

static void visBase::Transformation::transformBackSize | ( | const Transformation * | tr,
|  | const osg::Vec3f & | f,
|  | Coord3 & | t )
| static

## ◆ transformBackSize() [14/20]

static void visBase::Transformation::transformBackSize | ( | const Transformation * | tr,
|  | const osg::Vec3f & | f,
|  | osg::Vec3f & | t )
| static

## ◆ transformBackSize() [15/20]

static void visBase::Transformation::transformBackSize | ( | const Transformation * | tr,
|  | Coord3 & | v )
| inline static

## ◆ transformBackSize() [16/20]

static void visBase::Transformation::transformBackSize | ( | const Transformation * | tr,
|  | osg::Vec3d & | v )
| inline static

## ◆ transformBackSize() [17/20]

static void visBase::Transformation::transformBackSize | ( | const Transformation * | tr,
|  | osg::Vec3f & | v )
| inline static

## ◆ transformBackSize() [18/20]

void visBase::Transformation::transformBackSize | ( | Coord3 & |  | ) | const

## ◆ transformBackSize() [19/20]

void visBase::Transformation::transformBackSize | ( | osg::Vec3d & |  | ) | const

## ◆ transformBackSize() [20/20]

void visBase::Transformation::transformBackSize | ( | osg::Vec3f & |  | ) | const

## ◆ transformDir() [1/20]

void visBase::Transformation::transformDir | ( | const Coord3 & | ,
|  | osg::Vec3d & | ) const

## ◆ transformDir() [2/20]

void visBase::Transformation::transformDir | ( | const Coord3 & | ,
|  | osg::Vec3f & | ) const

## ◆ transformDir() [3/20]

void visBase::Transformation::transformDir | ( | const Coord3 & | f,
|  | Coord3 & | t ) const

## ◆ transformDir() [4/20]

void visBase::Transformation::transformDir | ( | const osg::Vec3d & | ,
|  | Coord3 & | ) const

## ◆ transformDir() [5/20]

void visBase::Transformation::transformDir | ( | const osg::Vec3d & | f,
|  | osg::Vec3d & | t ) const

## ◆ transformDir() [6/20]

void visBase::Transformation::transformDir | ( | const osg::Vec3f & | ,
|  | Coord3 & | ) const

## ◆ transformDir() [7/20]

void visBase::Transformation::transformDir | ( | const osg::Vec3f & | f,
|  | osg::Vec3f & | t ) const

## ◆ transformDir() [8/20]

static void visBase::Transformation::transformDir | ( | const Transformation * | tr,
|  | const Coord3 & | f,
|  | Coord3 & | t )
| static

## ◆ transformDir() [9/20]

static void visBase::Transformation::transformDir | ( | const Transformation * | tr,
|  | const Coord3 & | f,
|  | osg::Vec3d & | t )
| static

## ◆ transformDir() [10/20]

static void visBase::Transformation::transformDir | ( | const Transformation * | tr,
|  | const Coord3 & | f,
|  | osg::Vec3f & | t )
| static

## ◆ transformDir() [11/20]

static void visBase::Transformation::transformDir | ( | const Transformation * | tr,
|  | const osg::Vec3d & | f,
|  | Coord3 & | t )
| static

## ◆ transformDir() [12/20]

static void visBase::Transformation::transformDir | ( | const Transformation * | tr,
|  | const osg::Vec3d & | f,
|  | osg::Vec3d & | t )
| static

## ◆ transformDir() [13/20]

static void visBase::Transformation::transformDir | ( | const Transformation * | tr,
|  | const osg::Vec3f & | f,
|  | Coord3 & | t )
| static

## ◆ transformDir() [14/20]

static void visBase::Transformation::transformDir | ( | const Transformation * | tr,
|  | const osg::Vec3f & | f,
|  | osg::Vec3f & | t )
| static

## ◆ transformDir() [15/20]

static void visBase::Transformation::transformDir | ( | const Transformation * | tr,
|  | Coord3 & | v )
| inline static

## ◆ transformDir() [16/20]

static void visBase::Transformation::transformDir | ( | const Transformation * | tr,
|  | osg::Vec3d & | v )
| inline static

## ◆ transformDir() [17/20]

static void visBase::Transformation::transformDir | ( | const Transformation * | tr,
|  | osg::Vec3f & | v )
| inline static

## ◆ transformDir() [18/20]

void visBase::Transformation::transformDir | ( | Coord3 & |  | ) | const

## ◆ transformDir() [19/20]

void visBase::Transformation::transformDir | ( | osg::Vec3d & |  | ) | const

## ◆ transformDir() [20/20]

void visBase::Transformation::transformDir | ( | osg::Vec3f & |  | ) | const

## ◆ transformNormal() [1/20]

void visBase::Transformation::transformNormal | ( | const Coord3 & | ,
|  | osg::Vec3d & | ) const

## ◆ transformNormal() [2/20]

void visBase::Transformation::transformNormal | ( | const Coord3 & | ,
|  | osg::Vec3f & | ) const

## ◆ transformNormal() [3/20]

void visBase::Transformation::transformNormal | ( | const Coord3 & | f,
|  | Coord3 & | t ) const

## ◆ transformNormal() [4/20]

void visBase::Transformation::transformNormal | ( | const osg::Vec3d & | ,
|  | Coord3 & | ) const

## ◆ transformNormal() [5/20]

void visBase::Transformation::transformNormal | ( | const osg::Vec3d & | f,
|  | osg::Vec3d & | t ) const

## ◆ transformNormal() [6/20]

void visBase::Transformation::transformNormal | ( | const osg::Vec3f & | ,
|  | Coord3 & | ) const

## ◆ transformNormal() [7/20]

void visBase::Transformation::transformNormal | ( | const osg::Vec3f & | f,
|  | osg::Vec3f & | t ) const

## ◆ transformNormal() [8/20]

static void visBase::Transformation::transformNormal | ( | const Transformation * | tr,
|  | const Coord3 & | f,
|  | Coord3 & | t )
| static

## ◆ transformNormal() [9/20]

static void visBase::Transformation::transformNormal | ( | const Transformation * | tr,
|  | const Coord3 & | f,
|  | osg::Vec3d & | t )
| static

## ◆ transformNormal() [10/20]

static void visBase::Transformation::transformNormal | ( | const Transformation * | tr,
|  | const Coord3 & | f,
|  | osg::Vec3f & | t )
| static

## ◆ transformNormal() [11/20]

static void visBase::Transformation::transformNormal | ( | const Transformation * | tr,
|  | const osg::Vec3d & | f,
|  | Coord3 & | t )
| static

## ◆ transformNormal() [12/20]

static void visBase::Transformation::transformNormal | ( | const Transformation * | tr,
|  | const osg::Vec3d & | f,
|  | osg::Vec3d & | t )
| static

## ◆ transformNormal() [13/20]

static void visBase::Transformation::transformNormal | ( | const Transformation * | tr,
|  | const osg::Vec3f & | f,
|  | Coord3 & | t )
| static

## ◆ transformNormal() [14/20]

static void visBase::Transformation::transformNormal | ( | const Transformation * | tr,
|  | const osg::Vec3f & | f,
|  | osg::Vec3f & | t )
| static

## ◆ transformNormal() [15/20]

static void visBase::Transformation::transformNormal | ( | const Transformation * | tr,
|  | Coord3 & | v )
| inline static

## ◆ transformNormal() [16/20]

static void visBase::Transformation::transformNormal | ( | const Transformation * | tr,
|  | osg::Vec3d & | v )
| inline static

## ◆ transformNormal() [17/20]

static void visBase::Transformation::transformNormal | ( | const Transformation * | tr,
|  | osg::Vec3f & | v )
| inline static

## ◆ transformNormal() [18/20]

void visBase::Transformation::transformNormal | ( | Coord3 & |  | ) | const

## ◆ transformNormal() [19/20]

void visBase::Transformation::transformNormal | ( | osg::Vec3d & |  | ) | const

## ◆ transformNormal() [20/20]

void visBase::Transformation::transformNormal | ( | osg::Vec3f & |  | ) | const

## ◆ transformSize() [1/20]

void visBase::Transformation::transformSize | ( | const Coord3 & | ,
|  | osg::Vec3d & | ) const

## ◆ transformSize() [2/20]

void visBase::Transformation::transformSize | ( | const Coord3 & | ,
|  | osg::Vec3f & | ) const

## ◆ transformSize() [3/20]

void visBase::Transformation::transformSize | ( | const Coord3 & | f,
|  | Coord3 & | t ) const

## ◆ transformSize() [4/20]

void visBase::Transformation::transformSize | ( | const osg::Vec3d & | ,
|  | Coord3 & | ) const

## ◆ transformSize() [5/20]

void visBase::Transformation::transformSize | ( | const osg::Vec3d & | f,
|  | osg::Vec3d & | t ) const

## ◆ transformSize() [6/20]

void visBase::Transformation::transformSize | ( | const osg::Vec3f & | ,
|  | Coord3 & | ) const

## ◆ transformSize() [7/20]

void visBase::Transformation::transformSize | ( | const osg::Vec3f & | f,
|  | osg::Vec3f & | t ) const

## ◆ transformSize() [8/20]

static void visBase::Transformation::transformSize | ( | const Transformation * | tr,
|  | const Coord3 & | f,
|  | Coord3 & | t )
| static

## ◆ transformSize() [9/20]

static void visBase::Transformation::transformSize | ( | const Transformation * | tr,
|  | const Coord3 & | f,
|  | osg::Vec3d & | t )
| static

## ◆ transformSize() [10/20]

static void visBase::Transformation::transformSize | ( | const Transformation * | tr,
|  | const Coord3 & | f,
|  | osg::Vec3f & | t )
| static

## ◆ transformSize() [11/20]

static void visBase::Transformation::transformSize | ( | const Transformation * | tr,
|  | const osg::Vec3d & | f,
|  | Coord3 & | t )
| static

## ◆ transformSize() [12/20]

static void visBase::Transformation::transformSize | ( | const Transformation * | tr,
|  | const osg::Vec3d & | f,
|  | osg::Vec3d & | t )
| static

## ◆ transformSize() [13/20]

static void visBase::Transformation::transformSize | ( | const Transformation * | tr,
|  | const osg::Vec3f & | f,
|  | Coord3 & | t )
| static

## ◆ transformSize() [14/20]

static void visBase::Transformation::transformSize | ( | const Transformation * | tr,
|  | const osg::Vec3f & | f,
|  | osg::Vec3f & | t )
| static

## ◆ transformSize() [15/20]

static void visBase::Transformation::transformSize | ( | const Transformation * | tr,
|  | Coord3 & | v )
| inline static

## ◆ transformSize() [16/20]

static void visBase::Transformation::transformSize | ( | const Transformation * | tr,
|  | osg::Vec3d & | v )
| inline static

## ◆ transformSize() [17/20]

static void visBase::Transformation::transformSize | ( | const Transformation * | tr,
|  | osg::Vec3f & | v )
| inline static

## ◆ transformSize() [18/20]

void visBase::Transformation::transformSize | ( | Coord3 & |  | ) | const

## ◆ transformSize() [19/20]

void visBase::Transformation::transformSize | ( | osg::Vec3d & |  | ) | const

## ◆ transformSize() [20/20]

void visBase::Transformation::transformSize | ( | osg::Vec3f & |  | ) | const

## ◆ updateMatrix()

void visBase::Transformation::updateMatrix | ( |  | ) |
| private

## ◆ updateNormalizationMode()

void visBase::Transformation::updateNormalizationMode | ( |  | ) |
| private

## Member Data Documentation

## ◆ currot_

osg::Quat& visBase::Transformation::currot_
| private

## ◆ curscale_

osg::Vec3d& visBase::Transformation::curscale_
| private

## ◆ curso_

osg::Quat& visBase::Transformation::curso_
| private

## ◆ curtrans_

osg::Vec3d& visBase::Transformation::curtrans_
| private

## ◆ node_

osg::MatrixTransform* visBase::Transformation::node_ = nullptr
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025